The “Microsoft” govt gateway: It’s deja-vu all over again

For those of you new to all this, we need to go back to the era of the Office of the e-envoy (source of the apparently forgotten first iteration of the government opensource action plan way back in 2002)

In 2001 they introduced the government gateway which does something or other, or as the help page puts it:

    The Government Gateway is the website you use to register for online government services. It is an important part of the government’s strategy of delivering ‘joined up’ government, enabling people to communicate and make transactions with government from a single point of entry

Registration with it is required before you could use certain online servces, e.g., taxes. However government is not so joined up that the most used online service Vehicle Excise Duty requires you to register (but see Institute for Government “System + Error” for an alternative perspective on all of that….)

Not so now, but at the time the government gateway was introduced you needed MS Windows in order to register.

Let’s fast forward to 2011…

Suppose you are required to file joint returns to Companies House and HMRC online:

      You will

need

    Adobe Acrobat Reader which is not open source, but at least is free-as-in-beer.

And then the fun starts. You tick the button to jointly submit to HMRC and Companies House, and the PDF form tries to authenticate you with Companies House:

    SSL Error!!!. Please install the CA Certificate(s) for SSL communication…

So you try to install the recommended certificate (xmlgw.companieshouse.gov.uk).

Then you discover that Adobe Acrobat Reader has a bug and can’t install complete certificate chains. Adobe’s recommended solution involves opening the certificate using a computer with MS Windows and then exporting each certificate in the hierarchy and manually installing them on your Linux based computer.

Marvellous. Back then then we were told:

    Please note that if you wish to enrol for services that require a digital certificate, you may not be able to use the full range of browsers listed above. For example, Equifax certificates can currently only be used with Internet Explorer 5.01 or later (they do not work on any version of the Netscape browser); ChamberSign certificates can be used with both Netscape Navigator and Internet Explorer, except they are not currently supported on version 6 of the Netscape browser.

And to think only it was only two days ago we were wondering about FRAND standards and online government

More nostalgia here and here.

— Gerry Gavigan, Chair, 18 September 2011

Follow OSC on Twitter @OpnSrcCons

Why not become a member?